import{s as tt,n as nt,o as st}from"../chunks/scheduler.6062bdaf.js";import{S as it,i as ot,g as a,s as i,r as p,A as at,h as c,f as t,c as o,j as $,u as _,x as u,k as C,y as s,a as r,v as b,d as v,t as D,w as q}from"../chunks/index.4bca734e.js";import{D as j}from"../chunks/Docstring.81ba5e3c.js";import{H as et,E as ct}from"../chunks/EditOnGithub.74ab2baa.js";function rt(Me){let x,ce,oe,re,P,ue,w,Se=`Check the <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods enabling
interaction with Pull Requests and Discussions on the Hub.`,he,R,je='<li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.get_repo_discussions">get_repo_discussions()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.get_discussion_details">get_discussion_details()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.create_discussion">create_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.create_pull_request">create_pull_request()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.rename_discussion">rename_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.comment_discussion">comment_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.edit_discussion_comment">edit_discussion_comment()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.change_discussion_status">change_discussion_status()</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/hf_api#huggingface_hub.HfApi.merge_pull_request">merge_pull_request()</a></li>',ge,H,de,g,A,ye,U,Ue="A Discussion or Pull Request on the Hub.",$e,N,Ne="This dataclass is not intended to be instantiated directly.",le,y,E,Ce,V,Ve='Subclass of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.Discussion">Discussion</a>.',me,h,L,Te,O,Oe="An event in a Discussion or Pull Request.",Pe,G,Ge="Use concrete classes:",we,z,ze='<li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionComment">DiscussionComment</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionStatusChange">DiscussionStatusChange</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionCommit">DiscussionCommit</a></li> <li><a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionTitleChange">DiscussionTitleChange</a></li>',fe,d,k,Re,F,Fe="A comment in a Discussion / Pull Request.",He,B,Be='Subclass of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',pe,l,W,Ae,J,Je="A change of status in a Discussion / Pull Request.",Ee,K,Ke='Subclass of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',_e,m,I,Le,Q,Qe="A commit in a Pull Request.",ke,X,Xe='Subclass of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',be,f,M,We,Y,Ye="A rename event in a Discussion / Pull Request.",Ie,Z,Ze='Subclass of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',ve,S,De,ae,qe;return P=new et({props:{title:"Interacting with Discussions and Pull Requests",local:"interacting-with-discussions-and-pull-requests",headingTag:"h1"}}),H=new et({props:{title:"Data structures",local:"huggingface_hub.Discussion",headingTag:"h2"}}),A=new j({props:{name:"class huggingface_hub.Discussion",anchor:"huggingface_hub.Discussion",parameters:[{name:"title",val:": str"},{name:"status",val:": Literal"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.Discussion.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.Discussion.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It must be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.Discussion.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.Discussion.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.Discussion.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.Discussion.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.Discussion.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.Discussion.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.Discussion.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.Discussion.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.Discussion.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L19"}}),E=new j({props:{name:"class huggingface_hub.DiscussionWithDetails",anchor:"huggingface_hub.DiscussionWithDetails",parameters:[{name:"title",val:": str"},{name:"status",val:": Literal"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"},{name:"events",val:": List"},{name:"conflicting_files",val:": Union"},{name:"target_branch",val:": Optional"},{name:"merge_commit_oid",val:": Optional"},{name:"diff",val:": Optional"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionWithDetails.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.DiscussionWithDetails.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.DiscussionWithDetails.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.DiscussionWithDetails.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionWithDetails.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.DiscussionWithDetails.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionWithDetails.events",description:`<strong>events</strong> (<code>list</code> of <a href="/docs/huggingface_hub/v0.23.0/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>) &#x2014;
The list of <code>DiscussionEvents</code> in this Discussion or Pull Request.`,name:"events"},{anchor:"huggingface_hub.DiscussionWithDetails.conflicting_files",description:`<strong>conflicting_files</strong> (<code>Union[List[str], bool, None]</code>, <em>optional</em>) &#x2014;
A list of conflicting files if this is a Pull Request.
<code>None</code> if <code>self.is_pull_request</code> is <code>False</code>.
<code>True</code> if there are conflicting files but the list can&#x2019;t be retrieved.`,name:"conflicting_files"},{anchor:"huggingface_hub.DiscussionWithDetails.target_branch",description:`<strong>target_branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The branch into which changes are to be merged if this is a
Pull Request . <code>None</code>  if <code>self.is_pull_request</code> is <code>False</code>.`,name:"target_branch"},{anchor:"huggingface_hub.DiscussionWithDetails.merge_commit_oid",description:`<strong>merge_commit_oid</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If this is a merged Pull Request , this is set to the OID / SHA of
the merge commit, <code>None</code> otherwise.`,name:"merge_commit_oid"},{anchor:"huggingface_hub.DiscussionWithDetails.diff",description:`<strong>diff</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git diff if this is a Pull Request , <code>None</code> otherwise.`,name:"diff"},{anchor:"huggingface_hub.DiscussionWithDetails.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.DiscussionWithDetails.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.DiscussionWithDetails.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L87"}}),L=new j({props:{name:"class huggingface_hub.DiscussionEvent",anchor:"huggingface_hub.DiscussionEvent",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionEvent.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionEvent.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionEvent.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionEvent.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L146"}}),k=new j({props:{name:"class huggingface_hub.DiscussionComment",anchor:"huggingface_hub.DiscussionComment",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"content",val:": str"},{name:"edited",val:": bool"},{name:"hidden",val:": bool"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionComment.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionComment.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionComment.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionComment.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionComment.content",description:`<strong>content</strong> (<code>str</code>) &#x2014;
The raw markdown content of the comment. Mentions, links and images are not rendered.`,name:"content"},{anchor:"huggingface_hub.DiscussionComment.edited",description:`<strong>edited</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been edited.`,name:"edited"},{anchor:"huggingface_hub.DiscussionComment.hidden",description:`<strong>hidden</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been hidden.`,name:"hidden"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L179"}}),W=new j({props:{name:"class huggingface_hub.DiscussionStatusChange",anchor:"huggingface_hub.DiscussionStatusChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"new_status",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionStatusChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionStatusChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionStatusChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionStatusChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionStatusChange.new_status",description:`<strong>new_status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request after the change.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"new_status"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L234"}}),I=new j({props:{name:"class huggingface_hub.DiscussionCommit",anchor:"huggingface_hub.DiscussionCommit",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"summary",val:": str"},{name:"oid",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionCommit.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionCommit.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionCommit.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionCommit.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionCommit.summary",description:`<strong>summary</strong> (<code>str</code>) &#x2014;
The summary of the commit.`,name:"summary"},{anchor:"huggingface_hub.DiscussionCommit.oid",description:`<strong>oid</strong> (<code>str</code>) &#x2014;
The OID / SHA of the commit, as a hexadecimal string.`,name:"oid"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L262"}}),M=new j({props:{name:"class huggingface_hub.DiscussionTitleChange",anchor:"huggingface_hub.DiscussionTitleChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"old_title",val:": str"},{name:"new_title",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionTitleChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionTitleChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionTitleChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionTitleChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionTitleChange.old_title",description:`<strong>old_title</strong> (<code>str</code>) &#x2014;
The previous title for the Discussion / Pull Request.`,name:"old_title"},{anchor:"huggingface_hub.DiscussionTitleChange.new_title",description:`<strong>new_title</strong> (<code>str</code>) &#x2014;
The new title.`,name:"new_title"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.23.0/src/huggingface_hub/community.py#L289"}}),S=new ct({props:{source:"https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/package_reference/community.md"}}),{c(){x=a("meta"),ce=i(),oe=a("p"),re=i(),p(P.$$.fragment),ue=i(),w=a("p"),w.innerHTML=Se,he=i(),R=a("ul"),R.innerHTML=je,ge=i(),p(H.$$.fragment),de=i(),g=a("div"),p(A.$$.fragment),ye=i(),U=a("p"),U.textContent=Ue,$e=i(),N=a("p"),N.textContent=Ne,le=i(),y=a("div"),p(E.$$.fragment),Ce=i(),V=a("p"),V.innerHTML=Ve,me=i(),h=a("div"),p(L.$$.fragment),Te=i(),O=a("p"),O.textContent=Oe,Pe=i(),G=a("p"),G.textContent=Ge,we=i(),z=a("ul"),z.innerHTML=ze,fe=i(),d=a("div"),p(k.$$.fragment),Re=i(),F=a("p"),F.textContent=Fe,He=i(),B=a("p"),B.innerHTML=Be,pe=i(),l=a("div"),p(W.$$.fragment),Ae=i(),J=a("p"),J.textContent=Je,Ee=i(),K=a("p"),K.innerHTML=Ke,_e=i(),m=a("div"),p(I.$$.fragment),Le=i(),Q=a("p"),Q.textContent=Qe,ke=i(),X=a("p"),X.innerHTML=Xe,be=i(),f=a("div"),p(M.$$.fragment),We=i(),Y=a("p"),Y.textContent=Ye,Ie=i(),Z=a("p"),Z.innerHTML=Ze,ve=i(),p(S.$$.fragment),De=i(),ae=a("p"),this.h()},l(e){const n=at("svelte-u9bgzb",document.head);x=c(n,"META",{name:!0,content:!0}),n.forEach(t),ce=o(e),oe=c(e,"P",{}),$(oe).forEach(t),re=o(e),_(P.$$.fragment,e),ue=o(e),w=c(e,"P",{"data-svelte-h":!0}),u(w)!=="svelte-63o8ra"&&(w.innerHTML=Se),he=o(e),R=c(e,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-otkri8"&&(R.innerHTML=je),ge=o(e),_(H.$$.fragment,e),de=o(e),g=c(e,"DIV",{class:!0});var ee=$(g);_(A.$$.fragment,ee),ye=o(ee),U=c(ee,"P",{"data-svelte-h":!0}),u(U)!=="svelte-hsew6z"&&(U.textContent=Ue),$e=o(ee),N=c(ee,"P",{"data-svelte-h":!0}),u(N)!=="svelte-cin3fe"&&(N.textContent=Ne),ee.forEach(t),le=o(e),y=c(e,"DIV",{class:!0});var xe=$(y);_(E.$$.fragment,xe),Ce=o(xe),V=c(xe,"P",{"data-svelte-h":!0}),u(V)!=="svelte-tu08fx"&&(V.innerHTML=Ve),xe.forEach(t),me=o(e),h=c(e,"DIV",{class:!0});var T=$(h);_(L.$$.fragment,T),Te=o(T),O=c(T,"P",{"data-svelte-h":!0}),u(O)!=="svelte-1mr0otk"&&(O.textContent=Oe),Pe=o(T),G=c(T,"P",{"data-svelte-h":!0}),u(G)!=="svelte-ieg5lw"&&(G.textContent=Ge),we=o(T),z=c(T,"UL",{"data-svelte-h":!0}),u(z)!=="svelte-7l0d52"&&(z.innerHTML=ze),T.forEach(t),fe=o(e),d=c(e,"DIV",{class:!0});var te=$(d);_(k.$$.fragment,te),Re=o(te),F=c(te,"P",{"data-svelte-h":!0}),u(F)!=="svelte-3bqgej"&&(F.textContent=Fe),He=o(te),B=c(te,"P",{"data-svelte-h":!0}),u(B)!=="svelte-2ba3tt"&&(B.innerHTML=Be),te.forEach(t),pe=o(e),l=c(e,"DIV",{class:!0});var ne=$(l);_(W.$$.fragment,ne),Ae=o(ne),J=c(ne,"P",{"data-svelte-h":!0}),u(J)!=="svelte-9d6753"&&(J.textContent=Je),Ee=o(ne),K=c(ne,"P",{"data-svelte-h":!0}),u(K)!=="svelte-2ba3tt"&&(K.innerHTML=Ke),ne.forEach(t),_e=o(e),m=c(e,"DIV",{class:!0});var se=$(m);_(I.$$.fragment,se),Le=o(se),Q=c(se,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-1jct6gw"&&(Q.textContent=Qe),ke=o(se),X=c(se,"P",{"data-svelte-h":!0}),u(X)!=="svelte-2ba3tt"&&(X.innerHTML=Xe),se.forEach(t),be=o(e),f=c(e,"DIV",{class:!0});var ie=$(f);_(M.$$.fragment,ie),We=o(ie),Y=c(ie,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-1x0b7r2"&&(Y.textContent=Ye),Ie=o(ie),Z=c(ie,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-2ba3tt"&&(Z.innerHTML=Ze),ie.forEach(t),ve=o(e),_(S.$$.fragment,e),De=o(e),ae=c(e,"P",{}),$(ae).forEach(t),this.h()},h(){C(x,"name","hf:doc:metadata"),C(x,"content",ut),C(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){s(document.head,x),r(e,ce,n),r(e,oe,n),r(e,re,n),b(P,e,n),r(e,ue,n),r(e,w,n),r(e,he,n),r(e,R,n),r(e,ge,n),b(H,e,n),r(e,de,n),r(e,g,n),b(A,g,null),s(g,ye),s(g,U),s(g,$e),s(g,N),r(e,le,n),r(e,y,n),b(E,y,null),s(y,Ce),s(y,V),r(e,me,n),r(e,h,n),b(L,h,null),s(h,Te),s(h,O),s(h,Pe),s(h,G),s(h,we),s(h,z),r(e,fe,n),r(e,d,n),b(k,d,null),s(d,Re),s(d,F),s(d,He),s(d,B),r(e,pe,n),r(e,l,n),b(W,l,null),s(l,Ae),s(l,J),s(l,Ee),s(l,K),r(e,_e,n),r(e,m,n),b(I,m,null),s(m,Le),s(m,Q),s(m,ke),s(m,X),r(e,be,n),r(e,f,n),b(M,f,null),s(f,We),s(f,Y),s(f,Ie),s(f,Z),r(e,ve,n),b(S,e,n),r(e,De,n),r(e,ae,n),qe=!0},p:nt,i(e){qe||(v(P.$$.fragment,e),v(H.$$.fragment,e),v(A.$$.fragment,e),v(E.$$.fragment,e),v(L.$$.fragment,e),v(k.$$.fragment,e),v(W.$$.fragment,e),v(I.$$.fragment,e),v(M.$$.fragment,e),v(S.$$.fragment,e),qe=!0)},o(e){D(P.$$.fragment,e),D(H.$$.fragment,e),D(A.$$.fragment,e),D(E.$$.fragment,e),D(L.$$.fragment,e),D(k.$$.fragment,e),D(W.$$.fragment,e),D(I.$$.fragment,e),D(M.$$.fragment,e),D(S.$$.fragment,e),qe=!1},d(e){e&&(t(ce),t(oe),t(re),t(ue),t(w),t(he),t(R),t(ge),t(de),t(g),t(le),t(y),t(me),t(h),t(fe),t(d),t(pe),t(l),t(_e),t(m),t(be),t(f),t(ve),t(De),t(ae)),t(x),q(P,e),q(H,e),q(A),q(E),q(L),q(k),q(W),q(I),q(M),q(S,e)}}}const ut='{"title":"Interacting with Discussions and Pull Requests","local":"interacting-with-discussions-and-pull-requests","sections":[{"title":"Data structures","local":"huggingface_hub.Discussion","sections":[],"depth":2}],"depth":1}';function ht(Me){return st(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ft extends it{constructor(x){super(),ot(this,x,ht,rt,tt,{})}}export{ft as component};
